summaryrefslogtreecommitdiffstats
path: root/packaging/bundle-ebpf.sh
diff options
context:
space:
mode:
authorAustin S. Hemmelgarn <austin@netdata.cloud>2020-07-15 21:38:52 -0400
committerGitHub <noreply@github.com>2020-07-16 11:38:52 +1000
commit7ff315810e1d2c5871c4e87049687852b2cee7ee (patch)
treeca668aa1cfdce394fc508831eea58f6cd826f39c /packaging/bundle-ebpf.sh
parent736f34285a5f5041722079408bc5df97e76884dc (diff)
Fix SHA256 handling in eBPF bundling code. (#9546)
This makes it compatible both with busybox and older GNU userspaces.
Diffstat (limited to 'packaging/bundle-ebpf.sh')
-rwxr-xr-xpackaging/bundle-ebpf.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/packaging/bundle-ebpf.sh b/packaging/bundle-ebpf.sh
index 5792490878..ecc365ea44 100755
--- a/packaging/bundle-ebpf.sh
+++ b/packaging/bundle-ebpf.sh
@@ -8,7 +8,7 @@ EBPF_TARBALL="netdata-kernel-collector-glibc-${EBPF_VERSION}.tar.xz"
mkdir -p "${SRCDIR}/tmp/ebpf"
curl -sSL --connect-timeout 10 --retry 3 "https://github.com/netdata/kernel-collector/releases/download/${EBPF_VERSION}/${EBPF_TARBALL}" > "${EBPF_TARBALL}" || exit 1
-sha256sum -c --ignore-missing "${SRCDIR}/packaging/ebpf.checksums" || exit 1
+grep "${EBPF_TARBALL}" "${SRCDIR}/packaging/ebpf.checksums" | sha256sum -c - || exit 1
tar -xaf "${EBPF_TARBALL}" -C "${SRCDIR}/tmp/ebpf" || exit 1
# shellcheck disable=SC2046
cp -a $(find "${SRCDIR}/tmp/ebpf" -mindepth 1 -maxdepth 1) "${PLUGINDIR}"